# vim: set ft=spec: -*- rpm-spec -*-
# $Id: tcl-vfs,v 1.11 2004/03/13 17:50:44 lioka Exp $

%define snapshot 20031110
%define teaname vfs

Name: tcl-%teaname
Version: 1.3
Release: alt2

Summary: A TCL virtual file system extension
License: BSD
Group: Development/Tcl
Url: http://tclvfs.sourceforge.net/

BuildPreReq: tcl-devel >= 8.4.0-alt1
BuildRequires: autoconf_2.5 automake_1.6
Requires: tcl >= 8.4.0-alt1 tcllib >= 1.3-alt3

Source: %name-%{?snapshot:%snapshot}%{!?snapshot:%version}.tar.bz2
Patch0: tcl-vfs-1.3-alt-tea3.patch

%description
This is an implementation of a 'vfs' extension (and a 'vfs' package,
including a small library of Tcl code).  The goal of this extension
is to expose Tcl 8.4's new filesystem C API to the Tcl level.
See also http://mini.net/tcl/vfs .

It is recommended to install tcl-trf and tcl-memchan packages also.

%prep
%setup -q %{?snapshot:-c}%{!?snapshot:-n %teaname}
%patch0 -p1

%build
%set_autoconf_version 2.5
%set_automake_version 1.6
%__aclocal
%__autoconf
# autoconf > 2.57 is picky to srcdir=.
%__rm -rf build
%__mkdir build
cd build
%define _configure_script ../configure
%configure
%make_build

%install
%makeinstall -C build
%__mkdir_p %buildroot%_tcldatadir/http2.6
%__install -p -m0644 http2.6/*.tcl %buildroot%_tcldatadir/http2.6
%__install -p -m0644 http2.6/http.n %buildroot%_mandir/mann/http2.6.n

%files
%doc Readme.txt examples/*.tcl license.terms ChangeLog
%_tcllibdir/lib%teaname%version.so
%_tcldatadir/%teaname%version
%_tcldatadir/http2.6
%_mandir/mann/*

%changelog
* Sat Mar 13 2004 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.3-alt2
- rebuilt against TEA3

* Sat Dec 13 2003 Sergey Bolshakov <sbolshakov@altlinux.ru> 1.3-alt1
- CVS snapshot @ 20031110

* Sat Jun 28 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.2-alt2
- CVS snapshot @ 20030616

* Sat Jun  7 2003 Sergey Bolshakov <s.bolshakov@sam-solutions.net> 1.2-alt1
- CVS snapshot @ 20030516

* Tue Oct  8 2002 Sergey Bolshakov <s.bolshakov@belcaf.com> 1.0-alt1
- CVS snapshot @ 20020925

